--[[
LuckyCharms2 r24
Last Changed By: neer
Last Changed: 2011-01-07T01:37:59Z

Changes: See changelog.txt
ReadMe: See readme.txt

###Known Bugs###
None
]]

--Globals
local LC2_Realm = GetCVar("realmName"); --Get Realm for Profile.
local LC2_Char = UnitName("player"); --Get char name for profile.
local LC2Profile = LC2_Realm.." - "..LC2_Char;

function LuckyCharmsFlares_onLoad(self)
	--self:RegisterEvent('PLAYER_ENTERING_WORLD');
	self:RegisterEvent('ADDON_LOADED');
	--self:RegisterEvent('PARTY_MEMBERS_CHANGED');
	--self:RegisterEvent('PLAYER_LOGIN');
end

function LuckyCharmsFlares_onEvent(self,event,...)
	--LuckyCharms_msg(event.." Called!");--Debug
	if(event == "ADDON_LOADED") then
		local arg1 = ...;
		if(arg1 == LC2Name) then
			
			--Check for settings array.  Used for Profiles.
			if( not LC2_Settings ) then
				LC2_Settings = {};
			end
			--Check for Profile Settings
			if( not LC2_Settings[LC2Profile]) then
				LC2_Settings[LC2Profile] = {};
			end
			
			if(not LC2_Settings[LC2Profile].tooltips) then
				LC2_Settings[LC2Profile].tooltips=1; --Show Tooltips
			end
			
			--Set Frame Backdrop  Future BF support
			LuckyCharmsFlares_main:SetBackdrop({bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
		  		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border", tile=true,tileSize=10,edgeSize=16,
		  		insets = {left=4, right=4, top=4, bottom=4}
		  	});
			
			LuckyCharms2Flares_AddButtons();
		end
	end
end

function LuckyCharms2Flares_AddButtons()
	local flareBlue = CreateFrame("Button", "flareBlue", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flareBlue:SetSize(20,20)
	flareBlue:SetNormalTexture("interface\\minimap\\partyraidblips")
	flareBlue:GetNormalTexture():SetTexCoord(0.75,0.875,0,0.25)
	flareBlue:SetPoint("TOPLEFT", LuckyCharmsFlares_main, "TOPLEFT",5,-5)
	flareBlue:SetAttribute("type", "macro")
	flareBlue:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button1")
	flareBlue:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(_G["WORLD_MARKER1"],0.88,0.65,0); GameTooltip:Show() end end)
	flareBlue:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	
	local flareGreen = CreateFrame("Button", "flareGreen", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flareGreen:SetSize(20,20)
	flareGreen:SetNormalTexture("interface\\minimap\\partyraidblips")
	flareGreen:GetNormalTexture():SetTexCoord(0.25,0.375,0,0.25)
	flareGreen:SetPoint("LEFT", flareBlue, "RIGHT")
	flareGreen:SetAttribute("type", "macro")
	flareGreen:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button2")
	flareGreen:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(_G["WORLD_MARKER2"],0.88,0.65,0); GameTooltip:Show() end end)
	flareGreen:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	
	local flarePurple = CreateFrame("Button", "flarePurple", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flarePurple:SetSize(20,20)
	flarePurple:SetNormalTexture("interface\\minimap\\partyraidblips")
	flarePurple:GetNormalTexture():SetTexCoord(0,0.125,0.25,0.5)
	flarePurple:SetPoint("LEFT", flareGreen, "RIGHT")
	flarePurple:SetAttribute("type", "macro")
	flarePurple:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button3")
	flarePurple:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(_G["WORLD_MARKER3"],0.88,0.65,0); GameTooltip:Show() end end)
	flarePurple:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	
	local flareRed = CreateFrame("Button", "flareRed", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flareRed:SetSize(20,20)
	flareRed:SetNormalTexture("interface\\minimap\\partyraidblips")
	flareRed:GetNormalTexture():SetTexCoord(0.625,0.75,0,0.25)
	flareRed:SetPoint("LEFT", flarePurple, "RIGHT")
	flareRed:SetAttribute("type", "macro")
	flareRed:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button4")
	flareRed:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(_G["WORLD_MARKER4"],0.88,0.65,0); GameTooltip:Show() end end)
	flareRed:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	
	local flareYellow = CreateFrame("Button", "flareYellow", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flareYellow:SetSize(20,20)
	flareYellow:SetNormalTexture("interface\\minimap\\partyraidblips")
	flareYellow:GetNormalTexture():SetTexCoord(0.375,0.5,0,0.25)
	flareYellow:SetPoint("LEFT", flareRed, "RIGHT")
	flareYellow:SetAttribute("type", "macro")
	flareYellow:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button5")
	flareYellow:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(_G["WORLD_MARKER5"],0.88,0.65,0); GameTooltip:Show() end end)
	flareYellow:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	
	local flareClear = CreateFrame("Button", "flareClear", LuckyCharmsFlares_main, "SecureActionButtonTemplate")
	flareClear:SetSize(15,15)
	flareClear:SetNormalTexture("Interface\\BUTTONS\\UI-GroupLoot-Pass-Up")
	flareClear:SetPoint("LEFT", flareYellow, "RIGHT",3,0)
	flareClear:SetAttribute("type", "macro")
	flareClear:SetAttribute("macrotext1", "/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton\n/click DropDownList1Button6")
	flareClear:SetScript("OnEnter", function(self) if (LC2_Settings[LC2Profile].tooltips == 1) then GameTooltip:SetOwner(self, "ANCHOR_CURSOR"); GameTooltip:ClearLines(); GameTooltip:AddLine(LC2FTT_LeftClick.." "..REMOVE_WORLD_MARKERS,0.88,0.65,0); GameTooltip:AddLine(LC2FTT_RightClick,0.88,0.65,0);GameTooltip:Show() end end)
	flareClear:SetScript("OnLeave", function(self) GameTooltip:Hide() end)
	flareClear:SetScript("OnMouseDown", function(self,button) if (button=="RightButton") then LuckyCharmsFlares_main:StartMoving() end end)
	flareClear:SetScript("OnMouseUp", function(self) LuckyCharmsFlares_main:StopMovingOrSizing() end)
end